%define upstream_name    Chemistry-Mol
%define upstream_version 0.37

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Molecular formula reader/formatter
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Chemistry/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Math::VectorReal)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Simple)
BuildRequires: perl(Text::Balanced)
BuildArch: noarch

%description
This package, along with Chemistry::Atom and Chemistry::Bond, includes
basic objects and methods to describe molecules.

The core methods try not to enforce a particular convention. This means
that only a minimal set of attributes is provided by default, and some
attributes have very loosely defined meaning. This is because each program
and file type has different idea of what each concept (such as bond and
atom type) means. Bonds are defined as a list of atoms (typically two) with
an arbitrary type. Atoms are defined by a symbol and a Z, and may have 3D
and internal coordinates (2D coming soon).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.yml README Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.370.0-2.mga3
+ Revision: 364167
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 07 2011 kharec <kharec> 0.370.0-1.mga2
+ Revision: 178166
- imported package perl-Chemistry-Mol

